package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 项目核心企业授信- 综合评估
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("project_core_enterprise_comprehensive_evaluation")
public class ProjectCoreEnterpriseComprehensiveEvaluation {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目核心企业审核id
     */
    @TableField("project_core_enterprise_audit_id")
    private Long projectCoreEnterpriseAuditId;

    /**
     * 是否准入
     */
    @TableField("admitted")
    private String admitted;

    /**
     * 固定额度得分
     */
    @TableField("fixed_credit_score")
    private BigDecimal fixedCreditScore;

    /**
     * 固定额度
     */
    @TableField("fixed_credit")
    private BigDecimal fixedCredit;

    /**
     * 专项额度得分
     */
    @TableField("special_quota_score")
    private BigDecimal specialQuotaScore;

    /**
     * 专项额度(万元)
     */
    @TableField("special_quota")
    private BigDecimal specialQuota;

    /**
     * 授信额度（万元）
     */
    @TableField("credit_limit")
    private BigDecimal creditLimit;

    @TableField(exist = false)
    private List<String> errors;

    public List<String> getErrors() {
        return errors;
    }

    public void setErrors(List<String> errors) {
        this.errors = errors;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectCoreEnterpriseAuditId() {
        return projectCoreEnterpriseAuditId;
    }

    public void setProjectCoreEnterpriseAuditId(Long projectCoreEnterpriseAuditId) {
        this.projectCoreEnterpriseAuditId = projectCoreEnterpriseAuditId;
    }
    public String getAdmitted() {
        return admitted;
    }

    public void setAdmitted(String admitted) {
        this.admitted = admitted;
    }

    public BigDecimal getFixedCredit() {
        return fixedCredit;
    }

    public BigDecimal getFixedCreditScore() {
        return fixedCreditScore;
    }

    public void setFixedCreditScore(BigDecimal fixedCreditScore) {
        this.fixedCreditScore = fixedCreditScore;
    }

    public BigDecimal getSpecialQuotaScore() {
        return specialQuotaScore;
    }

    public void setSpecialQuotaScore(BigDecimal specialQuotaScore) {
        this.specialQuotaScore = specialQuotaScore;
    }

    public void setFixedCredit(BigDecimal fixedCredit) {
        this.fixedCredit = fixedCredit;
    }

    public BigDecimal getSpecialQuota() {
        return specialQuota;
    }

    public void setSpecialQuota(BigDecimal specialQuota) {
        this.specialQuota = specialQuota;
    }
    public BigDecimal getCreditLimit() {
        return creditLimit;
    }

    public void setCreditLimit(BigDecimal creditLimit) {
        this.creditLimit = creditLimit;
    }

    @Override
    public String toString() {
        return "ProjectCoreEnterpriseComprehensiveEvaluation{" +
            "projectCoreEnterpriseAuditId=" + projectCoreEnterpriseAuditId +
            ", admitted=" + admitted +
            ", fixedCreditScore=" + fixedCreditScore +
            ", fixedCredit=" + fixedCredit +
            ", specialQuotaScore=" + specialQuotaScore +
            ", specialQuota=" + specialQuota +
            ", creditLimit=" + creditLimit +
        "}";
    }
}
